MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022377Community[OCCT] OCCT:Visualizationpublic2011-04-06 10:412012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.5.1 
Summary0022377: Patch for visualization component
DescriptionPatch from the Forum http://www.opencascade.org/org/forum/thread_11478/ [^]
(dated 2007/05/22) with next modifications:
1. Font memory leak fix.
2. Flicker fixes.
3. OpenGL call back location changes
4. Improved zbuffer trihedron
5. Fixed point markers drift
Additional information
and documentation updates
Documentation remark, added by APL 2011-05-05 18:15:15:

Changes:
There are following changes in packages:
OpenGl package:
  1) Incorrect if statement has been modified in the TsmPopAttri() method
     (OpenGl_attri.cxx)
  2) Viewer's background texture now deleted with help of OpenGl resource
     cleaner, taking into account shared contexts
  3) Pre-overlay callbacks has been added to the redraw methods, the
     corresponding flag is OCC_REDRAW_WINDOW | OCC_PRE_OVERLAY for redrawing
     the whole window and OCC_REDRAW_WINDOWAREA | OCC_PRE_OVERLAY in case of
     redrawing some area of the window
  4) The correction has been made for glx shared contexts handling algorithm.
TagsNo tags attached.
Test case number
Attached Filesgz file icon apl-OCC22377-v1.tar.gz (49,132 bytes) 2011-05-05 17:51
gz file icon apl-OCC22377-v2.tar.gz (49,222 bytes) 2011-05-10 16:10

- Relationships

-  Notes
There are no notes attached to this issue.

- Related Changesets
occt: master 47d31ec6
Timestamp: 2011-05-19 10:55:02
Author: apl
Committer: bugmaster
Details ] Diff ]
OCC22377 Patch for visualization component
mod - src/OpenGl/OpenGl_attri.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_subrvis.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_togl_redraw.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_txgl.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-04-06 11:13 bugmaster Assigned To bugmaster => szv
2011-04-06 11:13 bugmaster Status new => assigned
2011-04-06 11:14 bugmaster groupset1 => 4096
2011-04-06 11:14 bugmaster Customer => Community
2011-04-06 11:14 bugmaster Assigned To szv => san
2011-04-07 18:18 bugmaster Assigned To san => apl
2011-05-05 19:58 apl OtherBugsDependingOnThis => 22199
2011-05-05 20:26 apl Status assigned => resolved
2011-05-13 17:30 mkv Status resolved => tested
2011-05-19 16:56 bugmaster Status tested => verified
2011-08-02 11:24 bugmaster Category OCCT:VIZ => OCCT:Visualization
2011-12-01 11:14 szy Description Updated View Revisions
2011-12-01 11:14 szy Additional Information Updated View Revisions
2012-03-29 17:26 bugmaster Changeset attached => occt master 47d31ec6


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker